| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
preference Struct Reference

## Public Attributes
const char * | name
const char * | title
const char * | description
wmem_allocator_t * | scope
int | ordinal
pref_type_e | type
bool | obsolete
unsigned int | effect_flags
union { |
unsigned * uint |
bool * boolp |
int * enump |
int * intp |
double * floatp |
char ** string |
range_t ** range |
struct epan_uat * uat |
color_t * colorp |
GList ** list |
} | varp |
union { |
unsigned uint |
bool boolval |
int enumval |
int intval |
double floatval |
char * string |
range_t * range |
color_t color |
GList * list |
} | stashed_val |
union { |
unsigned uint |
bool boolval |
int enumval |
int intval |
double floatval |
char * string |
range_t * range |
color_t color |
GList * list |
} | default_val |
union { |
unsigned base |
uint32_t max_value |
struct { |
const enum_val_t * enumvals |
bool radio_buttons |
} enum_info |
} | info |
struct pref_custom_cbs | custom_cbs
const char * | dissector_table
const char * | dissector_desc

## Detailed Description

Struct to hold preference data

## Member Data Documentation

## ◆ base

unsigned preference::base

input/output base, for PREF_UINT

## ◆ custom_cbs

struct pref_custom_cbs preference::custom_cbs

for PREF_CUSTOM

## ◆ [union]

union { ... } preference::default_val

the default value of the preference

## ◆ description

const char* preference::description

human-readable description of preference

## ◆ dissector_desc

const char* preference::dissector_desc

for PREF_DECODE_AS_RANGE

## ◆ dissector_table

const char* preference::dissector_table

for PREF_DECODE_AS_RANGE

## ◆ effect_flags

unsigned int preference::effect_flags

Flags of types effected by preference (PREF_EFFECT_DISSECTION, PREF_EFFECT_CAPTURE, etc). Flags must be non-zero to ensure saving to disk

## ◆ [struct]

struct { ... } preference::enum_info

for PREF_ENUM

## ◆ enumvals

const enum_val_t* preference::enumvals

list of name & values

## ◆ [union]

union { ... } preference::info

display/text file information

## ◆ max_value

uint32_t preference::max_value

maximum value of a range

## ◆ name

const char* preference::name

name of preference

## ◆ obsolete

bool preference::obsolete

obsolete preference flag

## ◆ ordinal

int preference::ordinal

ordinal number of this preference

## ◆ radio_buttons

bool preference::radio_buttons

true if it should be shown as radio buttons rather than as an option menu or combo box in the preferences tab

## ◆ scope

wmem_allocator_t* preference::scope

memory scope allocator for this preference

## ◆ [union]

union { ... } preference::stashed_val

original value, when editing from the GUI

## ◆ title

const char* preference::title

title to use in GUI

## ◆ type

pref_type_e preference::type

type of that preference

## ◆ [union]

union { ... } preference::varp

pointer to variable storing the value

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/prefs.c